#pragma once

// ActiveXTestCtrl.h : CActiveXTestCtrl ActiveX ؼ
#include <ObjSafe.h>  

// CActiveXTestCtrl : йʵֵϢ ActiveXTestCtrl.cpp

class CActiveXTestCtrl : public COleControl
{
	DECLARE_DYNCREATE(CActiveXTestCtrl)
	DECLARE_INTERFACE_MAP()  
	BEGIN_INTERFACE_PART(ObjSafe, IObjectSafety)   
	STDMETHOD_(HRESULT, GetInterfaceSafetyOptions) (   
		 /* [in] */ REFIID riid,   
		 /* [out] */ DWORD __RPC_FAR *pdwSupportedOptions,   
		 /* [out] */ DWORD __RPC_FAR *pdwEnabledOptions   
	);   
           
	STDMETHOD_(HRESULT, SetInterfaceSafetyOptions) (   
		 /* [in] */ REFIID riid,   
		 /* [in] */ DWORD dwOptionSetMask,   
		 /* [in] */ DWORD dwEnabledOptions   
	);   
	END_INTERFACE_PART(ObjSafe);  

// 캯
public:
	CActiveXTestCtrl();

// д
public:
	virtual void OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);
	virtual void DoPropExchange(CPropExchange* pPX);
	virtual void OnResetState();

// ʵ
protected:
	~CActiveXTestCtrl();

	DECLARE_OLECREATE_EX(CActiveXTestCtrl)    // ๤ guid
	DECLARE_OLETYPELIB(CActiveXTestCtrl)      // GetTypeInfo
	DECLARE_PROPPAGEIDS(CActiveXTestCtrl)     // ҳ ID
	DECLARE_OLECTLTYPE(CActiveXTestCtrl)		// ƺ״̬

// Ϣӳ
	DECLARE_MESSAGE_MAP()

// ӳ
	DECLARE_DISPATCH_MAP()

// ¼ӳ
	DECLARE_EVENT_MAP()

// Ⱥ¼ ID
public:
	enum {
		dispidName = 2,
		dispidReadCard = 1L
	};
protected:
	BSTR ReadCard(void);
	BSTR GetName(void);
	void SetName(LPCTSTR newVal);
};

